// ARLO.H
//
// Copyright (c) 1998 Otfried Cheong
//

#ifndef __ARLO_H__
#define __ARLO_H__

class TCapsArLoV1
{
 public:
  TVersion version;
};

class RArLo : public RLogicalChannel
{
 public:
  enum {EMajorVersionNumber=0,
	EMinorVersionNumber=4,
	EBuildVersionNumber=4};
  enum {EBoot = 0, EExamine };
 public:
  inline void Cancel();
  inline TInt Open(const TVersion& aVer)
    { return DoCreate(_L("ArLo"),aVer,NULL,KNullUnit,NULL,NULL); }
  inline TVersion VersionRequired() const
    { return TVersion(EMajorVersionNumber, EMinorVersionNumber,
		      EBuildVersionNumber); }
  inline TInt Examine(TUint32 *anAddr)
    { return DoControl(EExamine, ((TAny *) anAddr)); }
  inline TInt Boot(TUint32 aPhysMapAdr, TUint32 aBootAdr)
    { return DoControl(EBoot, ((TAny *) aPhysMapAdr), ((TAny *) aBootAdr)); }
};

#endif
